Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search.dev
Class ExpressionBuilder.IntValueExpression

    java.lang.Object
      com.google.appengine.api.search.dev.Expression
          com.google.appengine.api.search.dev.ExpressionBuilder.IntValueExpression

Enclosing class:
  ExpressionBuilder

    public static class ExpressionBuilder.IntValueExpression

extends Expression

Expression which evaluates to numeric constant.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.appengine.api.search.dev.Expression
`Expression.Sorter`

Method Summary
`FieldValue` | `eval(Document doc)` Evaluate the expression to field value proto for the specified document.
`double` | `evalDouble(Document doc)` Evaluate double value from specified document.
`Expression.Sorter` | `getNumericSorter(int sign, double defaultValueNumeric)`
`java.util.List<Expression.Sorter>` | `getSorters(int sign, double defaultValueNumeric, java.lang.String defaultValueText)` Get list of sort classes for the expression.

Methods inherited from class com.google.appengine.api.search.dev.Expression
`makeValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### evalDouble

    public double evalDouble(Document doc)

  Evaluate double value from specified document.

### eval

    public FieldValue eval(Document doc)
                    throws EvaluationException

  Description copied from class: `Expression`
  Evaluate the expression to field value proto for the specified document.

  Specified by:
    `eval` in class `Expression`
  Throws:
    `EvaluationException`

### getSorters

    public java.util.List<Expression.Sorter> getSorters(int sign,
                                                        double defaultValueNumeric,
                                                        java.lang.String defaultValueText)

  Description copied from class: `Expression`
  Get list of sort classes for the expression. Usually it contains just one element, but for field expressions it can potentially return 2 sorters when both numeric and text fields exist with a field name.

  Specified by:
    `getSorters` in class `Expression`

### getNumericSorter

    public Expression.Sorter getNumericSorter(int sign,
                                              double defaultValueNumeric)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD